#!/bin/msh
# Script d'installation de la config sur Ec20s

echo "EC20S configuration files installation ..."

#Copie des fichiers de configuration.
echo "Installing the configuration files ..."
rm -rf /flashfs/defaut_config/
mkdir -p /flashfs/defaut_config/
chmod 777 /flashfs/defaut_config/

if test -f /flashfs/config/AdresseMac.cfg;
then
  echo "AdresseMac.cfg is present, not overwriting ..."
  rm -f defaut_config/AdresseMac.cfg
else
  echo "AdresseMac.cfg is not present ..."
fi

if test -f /flashfs/config/licences.cfg;
then
  echo "licences.cfg is present, not overwriting ..."
  rm -f defaut_config/licences.cfg
else
  echo "licences.cfg is not present ..."
fi

mv -f defaut_config/* /flashfs/defaut_config/
chmod -R 777 /flashfs/defaut_config/*

mv -f versions.txt /flashfs/config/

echo "EC20S configuration files installed."
